﻿using Luticate2.Utils.Business;
using Luticate2.Utils.Dbo.Basic;
using Luticate2.Utils.Dbo.PaginatedRequest;
using Luticate2.Utils.Dbo.Result;
using Luticate2.Utils.Interfaces;
using WebApiWebSem.DataAccess;
using WebApiWebSem.Dbo.Articles;

namespace WebApiWebSem.Business
{
    public class ArticlesBusiness : LuCrudBusiness<ArticlesDataAccess, ArticlesAddDbo, ArticlesDbo, ArticlesEditDbo, string>
    {
        private readonly DbPediaDataAccess _dbPediaDataAccess;

        public ArticlesBusiness(ArticlesDataAccess dataAccess, ILuNotificationsBusiness notificationsBusiness, DbPediaDataAccess dbPediaDataAccess) : base(dataAccess, notificationsBusiness)
        {
            _dbPediaDataAccess = dbPediaDataAccess;
            EntityType = "articles";
        }

        public override LuResult<LuPaginatedDbo<ArticlesDbo>> GetMultiple(LuPaginatedRequestDbo request)
        {
            return _dbPediaDataAccess.GetMultiple(request);
//            var result = _dbPediaDataAccess.GetMultiple(request);
//            if (result.Status == LuStatus.BackendError)
//            {
//                return base.GetMultiple(request);
//            }
//            return result;
        }
    }
}